For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Get an OpenAPI spec version content by its ID

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
specSlugstringRequired

Slug of the OpenAPI specification

versionIdstringRequired

The unique ID of the OpenAPI specification version

Responses
200

OK

application/json

Content of the specification available through filesystem or public URL.

filesystemobjectRequired

Filesystem containing all specifications.

get/orgs/{organizationId}/openapi/{specSlug}/versions/{versionId}/content
GET /v1/orgs/{organizationId}/openapi/{specSlug}/versions/{versionId}/content HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "filesystem": {},
  "urls": {
    "source": "https://example.com",
    "public": null
  }
}

Last updated

Was this helpful?